<template>
	<q-page>
		<div class="q-pa-md">
			<q-table
				title="Profile"
				:data="data"
				:columns="columns"
				row-key="name"
			>
				<template v-slot:body="props">
					<q-tr :props="props">
						<q-td key="name" :props="props">
							{{ props.row.USERNAME }}
						</q-td>
						<q-td key="email" :props="props">
							{{ props.row.EMAIL }}
						</q-td>
						<q-td key="age" :props="props">
							{{ props.row.AGE }}
						</q-td>
						<q-td key="birthdate" :props="props">
							{{ props.row.BIRTHDATE }}
						</q-td>
					</q-tr>
				</template>
			</q-table>
		</div>
	</q-page>
</template>

<script>
export default {
	data() {
		return {
			columns: [
				{
					name: "name",
					required: true,
					label: "Username",
					align: "left",
					field: (row) => row.name,
					format: (val) => `${val}`,
					sortable: true,
				},
				{
					name: "email",
					align: "center",
					label: "Email",
					field: "email",
					sortable: true,
				},
				{ name: "age", label: "Age", field: "age", sortable: true },
				{ name: "birthdate", label: "Birthdate", field: "birthdate" },
			],
			data: [],
		};
	},
	methods: {
		getUserData() {
			this.$axios
				.get(
					this.host + "/src/php/actions/user.php?req=fetch-profile",
					{
						withCredentials: true,
					}
				)
				.then((response) => {
					this.data = response.data;
				});
		},
	},
	created() {
		this.getUserData();
	},
};
</script>
